List export formats
curl --request GET \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"formats": [
{
"format": "avid_markers",
"name": "Media Composer marker list",
"extension": "txt"
},
{
"format": "resolve_edl",
"name": "DaVinci Resolve timeline markers",
"extension": "edl"
},
{
"format": "markers_csv",
"name": "Markers as CSV",
"extension": "csv"
},
{
"format": "markers_json",
"name": "Markers as JSON",
"extension": "json"
},
{
"format": "srt",
"name": "Captions (SRT)",
"extension": "srt"
},
{
"format": "vtt",
"name": "Captions (WebVTT)",
"extension": "vtt"
}
],
"media": {
"frame_rate": "29.97",
"drop_frame": true,
"start_timecode": "01:00:00;00",
"timecode_source": "user",
"tape": "RICE62"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Audio intelligence
List export formats
The marker files this recording can be exported as, and the
timebase they will be written in (media, or null when none was set).
GET
/
v1
/
speech
/
transcriptions
/
{session_id}
/
exports
List export formats
curl --request GET \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"formats": [
{
"format": "avid_markers",
"name": "Media Composer marker list",
"extension": "txt"
},
{
"format": "resolve_edl",
"name": "DaVinci Resolve timeline markers",
"extension": "edl"
},
{
"format": "markers_csv",
"name": "Markers as CSV",
"extension": "csv"
},
{
"format": "markers_json",
"name": "Markers as JSON",
"extension": "json"
},
{
"format": "srt",
"name": "Captions (SRT)",
"extension": "srt"
},
{
"format": "vtt",
"name": "Captions (WebVTT)",
"extension": "vtt"
}
],
"media": {
"frame_rate": "29.97",
"drop_frame": true,
"start_timecode": "01:00:00;00",
"timecode_source": "user",
"tape": "RICE62"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}